=== debian/changelog ===
zfs-fuse (0.6.9-1) unstable; urgency=low

  * New upstream release.

  [ Mike Hommey ]
  * debian/control:
    - Build depend on libssl-dev and libattr1-dev, now required to build.
    - Build depend on docbook-xml to avoid xsltproc I/O error loading
      docbook DTD.
    - Add suggestions for a NFS server and kpartx.
  * debian/man/*, debian/copyright, debian/rules: Remove manual pages, they
    are now shipped upstream.
  * debian/copyright: Change download link.
  * src/SConstruct:
    - Add an optim option to the build system.
    - Add support for DESTDIR.
    - Force debug=1 to mean optim, no strip, no debug.
    - Use -ffunction-sections, -fdata-sections, and --gc-sections flags to
      reduce the binary sizes.
  * src/lib/libumem/SConscript: Cleanup src/lib/libumem when cleaning up
    build directory.
  * src/cmd/*/SConscript: Don't link zfs, zpool and zdb against libssl.
  * src/lib/libumem/SConscript: Only build static libumem.
  * src/lib/libumem/sol_compat.h:
    - Add atomic cas support for sparc.
    - Use atomic functions from libsolcompat in libumem on unsupported
      platforms.
  * debian/rules:
    - Set optimization level in build system according to DEB_BUILD_OPTIONS.
    - Build with debug=1 to have unstripped binaries ; dh_strip will do the
      right thing.
    - Don't depend on the local location of the docbook XSLT stylesheets.
      Use the catalogged url in place of the full path.
    - Don't clean src/.sconsign.dblite and src/path.pyc.
    - Set all destination directories when installing with scons.
    - Install bash completion and zfsrc files.
    - Don't use scons cache when building.
  * debian/prerm: Remove /var/lib/zfs/zpool.cache in prerm.
  * debian/dirs: Create /etc/bash_completion.d.
  * debian/watch: Fix watch file.
  * debian/rules, debian/control, debian/compat: Switch to dh.
  * debian/README.Debian: Update README.Debian.
  * debian/zfs-fuse.man.xml: Update zfs-fuse manual page.
  * debian/zfs-fuse.init: Start sharing datasets marked as such at daemon
    startup.
  * debian/rules, debian/control: Use config.guess and config.sub from
    autotools-dev.

  [ Seth Heeren ]
  * debian/zfs-fuse.man.xml:
    Added notes on the precedence, zfsrc, commandline, initscript vs.
    /etc/default/zfs-fuse on some systems.
  * debian/zfs-fuse.init, debian/zfs-fuse.default: Deprecating DAEMON_OPTS.
  * debian/zfs-fuse.init:
    - Removing import -a -f.
    - Removing the now unnecessary 'sleep 2'.
    - Extended shutdown wait to allow for zfs-fuse daemon's own shutdown
      timeouts.
    - Re-ordered dubious PATH setting.
  * debian/zfs-fuse.init: Move existing zpool.cache to new location if
    possible.

 -- Mike Hommey <glandium@debian.org>  Wed, 30 Jun 2010 18:03:52 +0200

zfs-fuse (0.6.0+critical20100301-5) unstable; urgency=low

  * Silence the init script a bit in case zfs-fuse was disabled
    (Closes: #581668).

 -- Sebastien Delafond <seb@debian.org>  Thu, 20 May 2010 14:36:06 +0200

zfs-fuse (0.6.0+critical20100301-4) unstable; urgency=low

  * Start the daemon with limits removed and LANG unset, and immunize it
    against the OOM killer, as per
    http://rudd-o.com/en/linux-and-free-software/starting-zfs-fuse-up-properly.

 -- Sebastien Delafond <seb@debian.org>  Wed, 12 May 2010 12:53:09 +0200

zfs-fuse (0.6.0+critical20100301-3) unstable; urgency=low

  * Disable debug mode, per http://zfs-fuse.net/issues/33 (LP: #538847).

 -- Sebastien Delafond <seb@debian.org>  Tue, 27 Apr 2010 13:59:45 +0200

zfs-fuse (0.6.0+critical20100301-2) unstable; urgency=low

  * Updated Homepage: field, and removed incorrect Vcs-*: info, from
    control file.
  * Moved to quilt (3.0) source format.

 -- Sebastien Delafond <seb@debian.org>  Thu, 08 Apr 2010 13:00:04 +0200

zfs-fuse (0.6.0+critical20100301-1) unstable; urgency=low

  * Build from the official/critical branch, which contains several
    important fixes (Closes: #571978).
  
 -- Sebastien Delafond <seb@debian.org>  Mon, 01 Mar 2010 11:34:44 +0100
  

zfs-fuse (0.6.0-2) unstable; urgency=low

  * Added a watch file.
  * Bumped up Standards-Version.
  * Lintian fixes.

 -- Sebastien Delafond <seb@debian.org>  Sun, 21 Feb 2010 18:36:50 +0100

zfs-fuse (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Mon, 18 Jan 2010 14:25:14 +0100

zfs-fuse (0.6.0~beta+433snapshot-4) unstable; urgency=low

  * Versioned build-dep on libfuse-dev >= 2.8.1, since before that libfuse
    didn't set shlibs correctly, per #557143 (Closes: #559970).

 -- Sebastien Delafond <seb@debian.org>  Tue, 08 Dec 2009 09:07:45 +0100

zfs-fuse (0.6.0~beta+433snapshot-3) unstable; urgency=low

  * Start the init.d script a bit later (Closes: #558331).
  * Include a patch that fixes an out-of-memory error (Closes: #559552).
  * Add Mike Hommey <glandium@debian.org> to the list of uploaders.

 -- Sebastien Delafond <seb@debian.org>  Mon, 07 Dec 2009 20:40:16 +0100

zfs-fuse (0.6.0~beta+433snapshot-2) unstable; urgency=low

  * Optimistic Arch:any, waiting for potential FTBFS (#556944).

 -- Sebastien Delafond <seb@debian.org>  Wed, 18 Nov 2009 15:49:42 +0100

zfs-fuse (0.6.0~beta+433snapshot-1) unstable; urgency=low

  * Original release, based on Filip Brcic's (<brcha@gna.org>) work
    (Closes: #419746).
  
 -- Sebastien Delafond <seb@debian.org>  Mon, 26 Oct 2009 16:22:44 +0100
