## zfs-fuse 0.7.0

=== Makefile ===
all:
	./update-programs.py
	./collect-libs.py

initrd.gz: all
	./gen-image-from-to source initrd.gz

clean:
	./clean-libraries
	./clean-programs.py
	rm initrd.gz
