=== src/SConstruct ===
--- 
+++ 
@@ -1,13 +1,27 @@
+# vim: noexpandtab ft=python
 import os, sys, re
 
 # Accepted parameters (and defaults):
 #
 #   install_dir=/usr/local/sbin - directory where the install target copies the binaries
-#   debug=1 - compilation style: 0 = optimize and strip, 1 = optimize with debug info, 2 = debug info, 3 = instrument functions
+#   debug=0 - compilation style: 0 = optimize and strip, 1 = optimize with debug info, 2 = debug info, 3 = instrument functions
+#   optim="-pipe -O2 -march=native" to override the optimization flags (useful when building debug=1 for packaging)
 
-install_dir = ARGUMENTS.get('install_dir', '/usr/local/sbin')
-man_dir = ARGUMENTS.get('man_dir', '/usr/local/share/man/man8/')
-cfg_dir = ARGUMENTS.get('cfg_dir', '/etc/zfs')
+DESTDIR = ARGUMENTS.get('DESTDIR')
+
+def arg_get(name, default):
+	global DESTDIR
+	arg = ARGUMENTS.get(name, default)
+	if DESTDIR:
+		if os.path.isabs(arg):
+			arg = '.' + arg
+		return os.path.join(DESTDIR, arg)
+	else:
+		return arg
+
+install_dir = arg_get('install_dir', '/usr/local/sbin')
+man_dir     = arg_get('man_dir',     '/usr/local/share/man/man8/')
+cfg_dir     = arg_get('cfg_dir',     '/etc/zfs')
 
 env = Environment()
 
@@ -24,20 +38,27 @@
   env.Append(CPPFLAGS = " -DLINUX_AIO")
 
 debug = int(ARGUMENTS.get('debug', '0'))
+optim = ARGUMENTS.get('optim', '-O2')
 
 if not debug:
 	env.Append(LINKFLAGS = ['-s'])
-	env.Append(CCFLAGS = Split('-s -O2 -DNDEBUG'))
+	env.Append(CCFLAGS = Split(" ".join(["-s -DNDEBUG", optim])));
 else:
 	env.Append(LINKFLAGS = ['-ggdb'])
 	env.Append(CCFLAGS = ['-ggdb'])
 # Be careful here, one of DEBUG or NDEBUG must be defined, if you undef both, you'll get unexpected results
 	if debug == 1:
-		env.Append(CCFLAGS = Split('-O2 -DDEBUG'))
+		env.Append(CCFLAGS = Split(" ".join(["-DNDEBUG", optim])));
 	elif debug == 2:
 		env.Append(CCFLAGS = ['-DDEBUG'])
 	elif debug == 3:
 		env.Append(CCFLAGS = Split('-finstrument-functions -DDEBUG'))
+
+if not (('-DDEBUG' in env['CCFLAGS']) or 
+		('-DNDEBUG' in env['CCFLAGS'])):
+	print
+	print "Misconfigured debug level: Neither DEBUG or NDEBUG appears to have been defined: %s" % env['CCFLAGS']
+	sys.exit(1)
 
 env['CPPPATH'] = []
 
@@ -101,10 +122,11 @@
 env.Install(install_dir, 'cmd/zstreamdump/zstreamdump')
 env.Install(cfg_dir, '../contrib/zfs_pool_alert')
 
-env.Install(man_dir, '../doc/zdb.8.gz')
-env.Install(man_dir, '../doc/zfs.8.gz')
-env.Install(man_dir, '../doc/zpool.8.gz')
-env.Install(man_dir, '../doc/zstreamdump.8.gz')
+env.Install(man_dir, '../doc/zdb.8')
+env.Install(man_dir, '../doc/zfs.8')
+env.Install(man_dir, '../doc/zpool.8')
+env.Install(man_dir, '../doc/zstreamdump.8')
+env.Install(man_dir, '../doc/zfs-fuse.8')
 
 if "tags" in sys.argv:
     print "updating tags..."
