=== debian/changelog ===
zfs-fuse (0.7.0-33) unstable; urgency=medium

  [ Aron Xu ]
  * QA upload.
  * d/patches: support arm64 rv64 loong64 with generic atomics
  * d/control: set to build on arch:any
  * d/rules: respect DEB_BUILD_OPTIONS=parallel=<n>
  * d/patches: add generic ec_atomic_cas to libumem with GCC built-in
  * d/patches: use recommended buildflags
  * d/patches: fix format security issues

  [ Shengqi Chen ]
  * Add patch to fix arm64 compilation errors

 -- Aron Xu <aron@debian.org>  Fri, 19 Dec 2025 01:51:54 +0800

zfs-fuse (0.7.0-32) unstable; urgency=medium

  * QA upload.
  * d/patches: port to fuse3 (Closes: #1084485)
  * d/control: b-d on libfuse3-dev
  * d/control: add conflicts/breaks to zfsutils-linux

 -- Aron Xu <aron@debian.org>  Tue, 02 Dec 2025 20:53:29 +0800

zfs-fuse (0.7.0-31) unstable; urgency=medium

  * QA upload.
  * d/control: depends on fuse3 (Closes: #1084485)

 -- Aron Xu <aron@debian.org>  Sat, 15 Nov 2025 17:24:30 +0800

zfs-fuse (0.7.0-30) unstable; urgency=medium

  * QA upload.
  * Remove the double .a to allow compilation (Closes: #1084391)

 -- Aron Xu <aron@debian.org>  Fri, 18 Oct 2024 11:48:00 +0800

zfs-fuse (0.7.0-29) unstable; urgency=medium

  * QA upload.
  * Add patch to use sys/xattr.h instead of xattr/xattr.h (Closes: #953938)

 -- Hilko Bengen <bengen@debian.org>  Thu, 05 Sep 2024 15:19:32 +0200

zfs-fuse (0.7.0-28) unstable; urgency=medium

  * QA upload.
  * Add patch to FTBFS with gcc-14. (Closes: #1075705)

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 08 Aug 2024 16:18:50 -0400

zfs-fuse (0.7.0-27) unstable; urgency=medium

  * QA upload.
  * Add libtirpc-dev build-dependency.  (Closes: #1065185)
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.
  * Do not reinvent dh_update_autotools_config etc.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Mar 2024 12:23:25 +0100

zfs-fuse (0.7.0-26) unstable; urgency=medium

  * QA upload.
  * Install into /usr (DEP17 M2)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 09 Jan 2024 22:15:54 +0100

zfs-fuse (0.7.0-25) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libfuse-dev.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 21:56:35 +0000

zfs-fuse (0.7.0-24) unstable; urgency=medium

  * QA upload.

  * Remove debian/watch, mentions of zfs-fuse.net (Closes: #1013948)

 -- Hilko Bengen <bengen@debian.org>  Thu, 22 Sep 2022 14:02:56 +0200

zfs-fuse (0.7.0-23) unstable; urgency=medium

  * QA upload.

  [ Hilko Bengen ]
  * Add patch to FTBFS with glibc >= 2..34 (Closes: #1017162, #1017311)

 -- Hilko Bengen <bengen@debian.org>  Thu, 22 Sep 2022 01:32:45 +0200

zfs-fuse (0.7.0-22) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + zfs-fuse: Drop versioned constraint on fuse in Depends.

  [ Aurelien Jarno ]
  * Add glibc-2.32-compat.patch to switch from glibc's legacy RPC
    implementation, which is now disabled in the Debian package, to libtirpc's
    one (Closes: #971688).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 21 Aug 2021 19:44:09 +0200

zfs-fuse (0.7.0-21) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Hilko Bengen ]
  * Add patches to deal with GCC10-related FTBFS (Closes: #958013)

 -- Hilko Bengen <bengen@debian.org>  Mon, 31 Aug 2020 21:06:22 +0200

zfs-fuse (0.7.0-20) unstable; urgency=medium

  * QA upload.
  * Add patch from Phil Wyett to fix build with Python3 scons.  Closes: #947588

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 04 Jan 2020 16:38:32 +0100

zfs-fuse (0.7.0-19) unstable; urgency=medium

  * QA upload.
  * Migrate Git repository to Salsa, fix VCS headers
  * Add several missing #include statements that lead to build failures
    with glibc 2.28 (Closes: #916019)

 -- Hilko Bengen <bengen@debian.org>  Mon, 17 Dec 2018 17:48:52 +0100

zfs-fuse (0.7.0-18) unstable; urgency=medium

  * QA upload.
  * zfs-fuse.service: Relax ordering requirements (Closes: #877505)
  * Remove unneeded build-dependencies: autotools-dev, dh-systemd

 -- Hilko Bengen <bengen@debian.org>  Sun, 29 Oct 2017 18:44:29 +0100

zfs-fuse (0.7.0-17) unstable; urgency=medium

  * QA upload.
  * debian/control: Add sparc64 to Architectures
  * debian/sparc64.patch: New patch to fix build on sparc64.

 -- James Clarke <jrtc27@debian.org>  Sun, 09 Jul 2017 00:40:24 +0100

zfs-fuse (0.7.0-16) unstable; urgency=medium

  * debian/control: removed mips64el and m68k from Build-Depends field.

 -- Allan Dixon Jr. <allandixonjr@gmail.com>  Tue, 29 Nov 2016 09:22:37 -0500

zfs-fuse (0.7.0-15) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * Architectures: after a build in experimental:
      - Keep amd64,armel,i386,powerpc,sparc.
      - Add armhf,powerpcspe,ppc64,ppc64el. (Closes: #731650)
      - Try m68k,mips64el,sh4 not processed by experimental.

 -- Allan Dixon Jr. <allandixonjr@gmail.com>  Tue, 08 Nov 2016 14:16:13 -0500

zfs-fuse (0.7.0-14) experimental; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #834130)
  * Ack for previous NMU.
  * Bump DH level to 10.
  * Bump Standards-Version to 3.9.8.
  * Change architecture to any. (it may solve #731650)
  * Run wrap-and-sort.
  * Use https in Vcs-*.

 -- Allan Dixon Jr. <allandixonjr@gmail.com>  Wed, 26 Oct 2016 10:50:29 -0500

zfs-fuse (0.7.0-13.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer approval.
  * Add debian/zfs-fuse.service (Closes: #796705)
    - this is a simple wrapper around the init script with room for
      improvement. Mostly copied from the by systemd-sysv-generator
      autogenerated unit with minor modifications. Future work would be
      to split out the program parts of the init script

