=== debian/control ===
Source: zfs-fuse
Section: otherosfs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libaio-dev,
               libattr1-dev,
               libfuse3-dev,
               libssl-dev,
               libtirpc-dev,
               scons,
               zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/debian/zfs-fuse.git
Vcs-Browser: https://salsa.debian.org/debian/zfs-fuse

Package: zfs-fuse
Architecture: any
Depends:
 fuse3 (>= 3.10.1-3),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: zfsutils-linux
Breaks: zfsutils-linux
Suggests: kpartx, nfs-kernel-server
Description: ZFS on FUSE
 ZFS is an advanced filesystem from Sun Microsystems, originally developed
 for solaris. It provides a number of advanced features, such as live
 integrity checks, atomic updates, atomic snapshots and clones, compression,
 and much more.
 .
 This package provides an implementation of Sun's ZFS filesystem in userspace,
 using FUSE.
