=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/buildflags.mk

SCONSFLAGS=--no-cache -C src debug=1

ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
	SCONSFLAGS += -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

SCONSFLAGS += env_cflags="${CFLAGS}" env_cppflags="${CPPFLAGS}" env_ldflags="${LDFLAGS}"

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	SCONSFLAGS+= optim=-O0
else
	SCONSFLAGS+= optim=-O2
endif

override_dh_auto_build:
	scons $(SCONSFLAGS)

override_dh_auto_clean:
	scons $(SCONSFLAGS) -ccc
	rm -f src/.sconsign.dblite

override_dh_auto_install:
	scons $(SCONSFLAGS) DESTDIR=$(CURDIR)/debian/zfs-fuse install_dir=/usr/sbin man_dir=/usr/share/man/man8 install
	install -m 644 contrib/zfsrc $(CURDIR)/debian/zfs-fuse/etc/zfs
	install -m 644 -T contrib/zfs_completion.bash $(CURDIR)/debian/zfs-fuse/usr/share/bash-completion/completions/zfs-fuse
	rm -f debian/zfs-fuse/usr/sbin/ztest

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_installinit:
	dh_installinit --no-start -- start 38 S . stop 39 0 6 .

%:
	dh $@
